require 'kaibun_judgement/version'
require 'natto'

module KaibunJudgement
  class Judgement
    STAT_NORMAL = 0

    def initialize
      @mecab = Natto::MeCab.new
    end

    def judge(text)
      parsed_katakana_text = @mecab.enum_parse(text).select {|e| e.stat == 0}.map(&:feature).reject{|e| e.split(',').first == '記号' }.map{|e| e.split(',').last }.join

      return false if parsed_katakana_text.size < 3

      parsed_katakana_text == parsed_katakana_text.reverse
    end
  end
end
